# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\ci\containers\00000i65qo1\tmp\build\80754af9\combined_recipe, last modified Sat Apr 10 16:05:14 2021
# ------------------------------------------------

package:
  name: pyamg
  version: 4.1.0
source:
  sha256: b4cacfcfd13379762a4551ac059a2e52a093b476ca1ad44b9202e736490a8863
  url: https://pypi.io/packages/source/p/pyamg/pyamg-4.1.0.tar.gz
build:
  number: '0'
  script: python -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
  string: py39hdd864d1_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2021.1.19 haa95532_1
    - certifi 2020.12.5 py39haa95532_0
    - icc_rt 2019.0.0 h0cc432a_1
    - intel-openmp 2020.2 254
    - mkl 2020.2 256
    - mkl-service 2.3.0 py39h196d8e1_0
    - mkl_fft 1.3.0 py39h46781fe_0
    - mkl_random 1.0.2 py39h848d8c7_0
    - numpy 1.16.6 py39h729668d_1
    - numpy-base 1.16.6 py39h2e04a8b_1
    - openssl 1.1.1k h2bbff1b_0
    - pip 21.0.1 py39haa95532_0
    - pybind11 2.5.0 py39h59b6b97_1
    - python 3.9.2 h6244533_0
    - setuptools 52.0.0 py39haa95532_0
    - six 1.15.0 py39haa95532_0
    - sqlite 3.35.4 h2bbff1b_0
    - tzdata 2020f h52ac0ba_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.36.2 pyhd3eb1b0_0
    - wincertstore 0.2 py39h2bbff1b_0
  run:
    - numpy >=1.16.6,<2.0a0
    - python >=3.9,<3.10.0a0
    - scipy >=0.12.0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  imports:
    - pyamg
  requires:
    - pytest
about:
  description: 'PyAMG is a library of Algebraic Multigrid (AMG) solvers with a convenient

    Python interface.

    '
  dev_url: https://github.com/pyamg/pyamg
  doc_source_url: https://github.com/pyamg/pyamg
  doc_url: https://pypi.python.org/pypi/pyamg
  home: https://github.com/pyamg/pyamg
  license: MIT
  license_file: LICENSE.txt
  summary: Algebraic Multigrid Solvers in Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakevdp
    - lukeolson
